function showClasses_() {

		 
		console.log("here, ahmed");
		var from =document.getElementById("tracking_from").value;
		var to =document.getElementById("tracking_to").value;
		console.log(from);
		console.log(to);
		$.ajax({
			type : 'GET',
			url : 'create/show_class/'+from+"/"+to,
			/*data : {
				'_token' : $('meta[name="csrf-token"]').attr('content')
			},
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			  },*/
			
			success : function(data) {
				var sel = $('#class_id').empty();
			     $('#group_id').empty();
				 $('#classification_id').empty();
				var classes_ = data.classes_;
				sel.append('<option> Choose Class</option>');
				for (var i = 0; i < classes_.length; ++i) {
					sel.append('<option value="' + classes_[i].id + '">' + classes_[i].name + '</option>');			
				}
		  console.log(data);
			},
			error : function(request, status, error) {
				console.log(error);
			}
		});
	}


	function showGroups(class_id) {

		 
		var from =document.getElementById("tracking_from").value;
		var to =document.getElementById("tracking_to").value;

		$.ajax({
			type : 'GET',
			url : 'create/show_group/' + class_id +"/"+from+"/"+to,
			/*data : {
				'_token' : $('meta[name="csrf-token"]').attr('content')
			},
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			  },*/
			
			success : function(data) {
				var sel = $('#group_id').empty();
				$('#classification_id').empty();
				var groups = data.groups;
				sel.append('<option> Choose Group</option>');
				for (var i = 0; i < groups.length; ++i) {
					sel.append('<option value="' + groups[i].id + '">' + groups[i].name + '</option>');			
				}
		  console.log(data);
			},
			error : function(request, status, error) {
				console.log(error);
			}
		});
	}



	function showClassification(group_id) {

		 
		var from =document.getElementById("tracking_from").value;
		var to =document.getElementById("tracking_to").value;
		var class_id = document.getElementById("class_id").value;

		
		$.ajax({
			type : 'GET',
			url : 'create/show_classification/' + group_id +"/" + class_id +"/"+from+"/"+to ,
			/*data : {
				'_token' : $('meta[name="csrf-token"]').attr('content')
			},
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			  },*/
			
			success : function(data) {
				var sel = $('#classification_id').empty();
				var classifications = data.classifications;
				sel.append('<option> Choose Classification</option>');
				for (var i = 0; i < classifications.length; ++i) {
					sel.append('<option value="' + classifications[i].id + '">' + classifications[i].name + '</option>');			
				}
		  console.log(data);

			},
			error : function(request, status, error) {
				console.log(error);
			}
		});
	}




	function showCustomers(classification_id) {

		var from =document.getElementById("tracking_from").value;
		var to =document.getElementById("tracking_to").value;
		var class_id = document.getElementById("class_id").value;
		var group_id = document.getElementById("group_id").value;

		$.ajax({
			type : 'GET',
			url : 'create/show_customers/' + classification_id +"/" + group_id +"/" + class_id +"/"+from+"/"+to,
			/*data : {
				'_token' : $('meta[name="csrf-token"]').attr('content')
			},
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			  },*/
			
			success : function(data) {
				
				var sel_cust = $('#customer_id').empty();
				var customers = data.customers;
				sel_cust.append('<option> Choose Customers</option>');
				for (var i = 0; i < customers.length; ++i) {
					sel_cust.append('<option value="' + customers[i].id + '">' + customers[i].name + '</option>');			
				}



		  console.log(data);

			},
			error : function(request, status, error) {
				console.log(error);
			}
		});
	}

